PSP

PSP games are beginning to require 2.5 firmware to play

0

Just when everyone got excited about the 2.01 firmware homebrew Tetris application released just a few days ago, some Japanese games are forcing gamers to install version 2.5 firmware just to play them. Irregular Hunter X (known as Mega Man X Maverick Hunters), the remake of Rockman X is one of the first games that requires version 2.5 to play. It’s likely that this holiday’s huge amount of PSP releases like Boku no Watashi no Katamari Damacy will probably demand the 2.5 firmware too.

 

 

Siliconera Staff
Sometimes we'll publish a story as a group. You'll find collaborative stories and some housekeeping announcements under this mysterious camel.